Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.es
Class EntityStoreFactory

    java.lang.Object
      com.vordel.es.EntityStoreFactory

    public class EntityStoreFactory

extends java.lang.Object

The place to come to when you want to get an EntityStore which will understand your particular flavor of URL.

Field Summary
`static java.lang.String` | `DBG_ES_TYPE_FACTORY`
`static java.lang.String` | `PROVIDERS_FILENAME` Load the configured providers

Method Summary
`EntityStore` | `getEntityStoreForURL(java.lang.String url)` Retrieve an instance of an EntityStore which is compatible with the url specified
`EntityTypeFactory` | `getEntityTypeFactory()`
`static EntityStoreFactory` | `getInstance()`
`java.lang.String[]` | `getPropsForURL(java.lang.String url)`
`boolean` | `initializeProviders(java.io.InputStream providerConfigStream)` Allow the user to explicitly initialize the Entity Store provider classes
`void` | `registerEntityTypeFactory(EntityTypeFactory f)`
`void` | `registerForURL(java.lang.String urlPattern, java.lang.Class provider, java.util.List<java.lang.String> reqCredentials)` Register an implementation of EntityStore for a particular URL stem

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DBG_ES_TYPE_FACTORY

    public static final java.lang.String DBG_ES_TYPE_FACTORY

See Also:
  Constant Field Values

### PROVIDERS_FILENAME

    public static final java.lang.String PROVIDERS_FILENAME

  Load the configured providers

  See Also:
    Constant Field Values

Method Detail

### initializeProviders

    public boolean initializeProviders(java.io.InputStream providerConfigStream)

  Allow the user to explicitly initialize the Entity Store provider classes

  Parameters:
    `providerConfigStream` - An xml stream that specifies which ES provider classes to load. Allows us to initialize the factory outside the context of a VordelSecure installation. See the '$VINSTDIR/conf/esproviders.xml' file for an example.

### getInstance

    public static final EntityStoreFactory getInstance()

### registerForURL

    public final void registerForURL(java.lang.String urlPattern,
                                     java.lang.Class provider,
                                     java.util.List<java.lang.String> reqCredentials)

  Register an implementation of EntityStore for a particular URL stem

  Parameters:
    `urlPattern` - The URL stem for which the provider is responsible
    `provider` - The class to instantiate for the URL

### getEntityStoreForURL

    public EntityStore getEntityStoreForURL(java.lang.String url)
                                     throws EntityStoreException

  Retrieve an instance of an EntityStore which is compatible with the url specified

  Parameters:
    `url` - The connection string for a particular flavor of ES
  Returns:
    an EntityStore object
  Throws:
    `EntityStoreException` - if the factory was unable to find a suitable provider for the URL specified.

### getPropsForURL

    public java.lang.String[] getPropsForURL(java.lang.String url)

### getEntityTypeFactory

    public EntityTypeFactory getEntityTypeFactory()

### registerEntityTypeFactory

    public void registerEntityTypeFactory(EntityTypeFactory f)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel